import 'package:vitalapp/database/db.dart';

abstract class IDatabasePatch {
  /// 目标版本
  ///
  /// - 仅对匹配版本打补丁
  int get targetVersion;

  /// 升级版本
  ///
  /// - 补丁作用后的版本
  int get updateVersion;

  /// 运行补丁
  ///
  /// [version] DB当前版本
  Future<int> perform(int version) async {
    await db.database.setVersion(version);
    return version;
  }
}
