import 'package:vitalapp/database/db.dart';
import 'base.dart';
import 'package:fis_common/logger/logger.dart';

/// 补丁V1
///
/// - 新增表patients、diagnosis中的userCode字段
class DatabasePatchV1 extends BaseDatabasePatch {
  DatabasePatchV1(super.database);

  @override
  int get targetVersion => 0;

  @override
  Future<void> executeTask() async {
    // patients表新增userCode字段
    String alterTableQueryPatients = '''
          ALTER TABLE patients
          ADD COLUMN userCode VARCHAR(100) NOT NULL DEFAULT ''
        ''';
    await db.database.execute(alterTableQueryPatients);

    // diagnosis表新增userCode字段
    String alterTableQueryDiagnosis = '''
          ALTER TABLE diagnosis
          ADD COLUMN userCode VARCHAR(100) NOT NULL DEFAULT ''
        ''';
    await db.database.execute(alterTableQueryDiagnosis);
  }
}
