import 'package:vitalapp/database/db.dart';

import 'base.dart';

class DatabasePatchV4 extends BaseDatabasePatch {
  DatabasePatchV4(super.database);

  @override
  int get targetVersion => 3;

  @override
  Future<void> executeTask() async {
    // patient表新增字段
    await db.database.execute(
        "ALTER TABLE patients ADD COLUMN examCount INTEGER NOT NULL DEFAULT 0;");
    await db.database.execute(
        "ALTER TABLE patients ADD COLUMN tcmConsitutionCount INTEGER NOT NULL DEFAULT 0;");
    // exam表新增字段
    await db.database.execute(
        "ALTER TABLE exams ADD COLUMN templateCode VARCHAR(100) NOT NULL;");
    await db.database.execute(
        "ALTER TABLE exams ADD COLUMN physicalEaxmNumber VARCHAR(100) NOT NULL;");
  }
}
