import 'package:vital_local_database/index.dart';
import 'package:vitalapp/database/entities/exam_batch.dart';

import 'interfaces/exam_batch.dart';

class ExamBatchRepository
    extends BaseDbRepository<ExamBatchEntity, ExamBatchColumnsDefine>
    implements IExamBatchRepository {
  ExamBatchRepository(super.database);

  @override
  ExamBatchEntity createEntityInstance() => ExamBatchEntity();

  @override
  Future<List<ExamBatchEntity>> queryPatientAllList(
      String patientCode, String userCode) async {
    final query = queryable.where(
      (x) => [
        x.isValid.equals(true),
        x.userCode.equals(userCode),
        x.patientCode.equals(patientCode),
      ],
    );
    final list = await query
        .orderBy((x) => x.createTime, DbOrderByType.desc) // 按创建时间倒序
        .toList();
    return list;
  }
}
