import 'package:vital_local_database/index.dart';
import 'package:vitalapp/database/entities/exam.dart';
import 'package:vitalapp/database/entities/followup.dart';

abstract class IExamRepository
    implements IDbRepositroy<ExamEntity, ExamColumnsDefine> {
  /// 根据code获取实体
  ///
  /// [code] 检查记录code
  Future<ExamEntity?> singleByCode(String code);

  /// 查询居民所有随访列表
  ///
  /// [patientCode] 居民Code
  ///
  /// [userCode] 医生Code
  Future<List<FollowUpEntity>> queryPatientAllList(
      String patientCode, String userCode);

  /// 查询居民下的随访分页列表
  ///
  /// [patientCode] 居民Code
  ///
  /// [userCode] 医生Code
  Future<DbPagedList<FollowUpEntity>> queryPatientPagedList(
    String patientCode,
    String userCode,
    int pageIndex, {
    int pageSize = 50,
  });
}
