import 'package:vital_local_database/index.dart';
import 'package:vitalapp/database/entities/followup.dart';

abstract class IFollowUpRepository
    implements IDbRepositroy<FollowUpEntity, FollowUpColumnsDefine> {
  /// 根据code获取实体
  ///
  /// [code] 随访记录code
  Future<FollowUpEntity?> singleByCode(String code);

  /// 查询居民所有随访列表
  ///
  /// [patientCode] 居民Code
  ///
  /// [userCode] 医生Code
  Future<List<FollowUpEntity>> queryAllListByPatient(
      String patientCode, String userCode);

  /// 查询居民下的随访分页列表
  ///
  /// [patientCode] 居民Code
  ///
  /// [userCode] 医生Code
  Future<DbPagedList<FollowUpEntity>> queryPagedListByPatient(
    String patientCode,
    String userCode,
    int pageIndex, {
    int pageSize = 50,
  });
}
