import 'package:vital_local_database/core/interface/repository.dart';
import 'package:vitalapp/database/entities/patient.dart';

abstract class IPatientRepository
    implements IDbRepositroy<PatientEntity, PatientColumnsDefine> {
  /// 根据code获取实体
  Future<PatientEntity?> singleByCode(String code);

  /// 根据code获取归属指定User的实体
  Future<PatientEntity?> singleByCodeWithUserCode(
    String code,
    String userCode,
  );

  /// 根据code获取归属指定组织的实体
  Future<PatientEntity?> singleByCodeWithOrgCode(
    String code,
    String orgCode,
  );

  /// 判断是否未上传的居民
  Future<bool> isNotUploadedPatient(String code);

  /// 增加随访数量
  Future<bool> increaseFollowUpCount(String code);

  /// 增加体检数量
  Future<bool> increaseExamCount(String code);

  /// 增加检测数量
  Future<bool> increaseDiagnoissCount(String code);

  /// 减少随访数量
  Future<bool> decreaseFollowUpCount(String code);

  /// 减少体检数量
  Future<bool> decreaseExamCount(String code);

  /// 减少检测数量
  Future<bool> decreaseDiagnoissCount(String code);
}
