import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/base.dart';

/// 预约
abstract class IAppointmentManager implements IManager {
  /// 分页获取健康检查预约数据
  Future<PageResult<HealthExamBookingDTO>?> getHealthExamBookingPageAsync({
    int? pageSize = 10,
    int? pageIndex = 1,
    String? keyword,
  });

  /// 新增/修改体检信息
  Future<String?> saveHealthExamBookingAsync(
    SaveHealthExamBookingRequest saveHealthExamBookingRequest,
  );

  /// 查询体检详情
  Future<HealthExamBookingDTO?> getHealthExamBookingAsync({
    required String code,
  });

  /// 删除体检信息
  Future<bool?> deleteHealthExamBookingAsync(
    DeleteHealthExamBookingRequest deleteHealthExamBookingRequest,
  );

  /// 根据身份证号码查询预约信息
  Future<HealthExamPersonDTO?> getExamBookingByIDCardAsync({
    String? idCardNo,
  });
}
