import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/pages/patient/info/widgets/ext_model.dart';

///居民档案信息，包含居民基础信息、详细信息、健康信息
class PatientInformation {
  ///姓名
  final String name;

  ///证件号
  final String code;

  ///证件类型
  final CardTypeEnum cardType;

  ///性别
  final GenderEnum gender;

  ///生日
  final DateTime? birthday;

  ///年龄
  final String age;

  ///手机号
  final String phoneNo;

  ///紧急联系人手机号
  final String emergencyPhone;

  ///居住地址
  final String address;

  ///户籍地址
  final String permanentResidenceAddress;

  ///建档机构
  final String createdOrgName;

  ///建档人
  final String createdDoctorName;

  ///签约医生
  final String contractedDoctorName;

  ///创建时间
  final String createTime;

  ///详细信息
  final PatientDetailInfoModel? detailInfo;

  ///健康信息
  final PatientHealthInfoModel? healthInfo;

  PatientInformation({
    required this.name,
    required this.code,
    this.cardType = CardTypeEnum.Identity,
    this.gender = GenderEnum.Unknown,
    this.birthday,
    this.age = '',
    this.phoneNo = '',
    this.emergencyPhone = '',
    this.address = "",
    this.permanentResidenceAddress = '',
    this.createdOrgName = '',
    this.createdDoctorName = '',
    this.contractedDoctorName = '',
    this.createTime = '',
    this.detailInfo,
    this.healthInfo,
  });
}
