import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/base.dart';

/// 登记
abstract class IRegistrationManager implements IManager {
  /// 新增登记信息
  Future<AddRegiterInfoResult?> addRegiterInfoAsync({
    required AddRegiterInfoRequest request,
  });

  /// 修改登记信息
  Future<bool?> updateRegiterInfoAsync({
    required UpdateRegiterInfoRequest request,
  });

  /// 登记列表
  Future<PageResult<RegisterInfoDTO>?> getRegisterInfoPageAsync({
    int? pageSize = 10,
    int? pageIndex = 1,
    String? keyword,
    DateTime? startTime,
    DateTime? endTime,
  });

  /// 根据体检号获取体检详情
  Future<List<ExamDTO>?> getExamListByPhysicalExamNumberAsync({
    required String physicalExamNumber,
  });

  /// 根据体检号查看体检报告
  Future<List<ReportDTO2>?> getVitalReportInfoAsync({
    required String physicalExamNumber,
  });

  Future<bool> updateResultsAndSuggestionsAsync(
      String code, String resultsAndSuggestions);

  ///
  Future<ElectrocardiogramRecord?> getElectrocardiogramRecordAsync({
    required String physicalExamNumber,
  });

  ///
  Future<PageCollection<ElectrocardiogramRecord>?>
      getElectrocardiogramRecordPageAsync({
    int? pageSize = 10,
    int? pageIndex = 1,
    String? keyword,
  });

  ///
  Future<ElectrocardiogramRecord?>
      getElectrocardiogramRecordByPhysicalExamNumberAsync({
    required String physicalExamNumber,
  });

  Future<GetExamLabelsByExamNoResult> getExamLabelsByExamNoAsync({
    required String physicalExamNumber,
  });
}
