import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/mock/services/diagnosis.dart';
import 'package:vitalapp/mock/services/exam.dart';
import 'package:vitalapp/mock/services/followup.dart';
import 'package:vitalapp/mock/services/label.dart';
import 'package:vitalapp/mock/services/patient.dart';
import 'package:vitalapp/mock/services/patient_ext.dart';

class JsonRpcMockProxy extends JsonRpcProxy {
  JsonRpcMockProxy({String? host}) : super(host: host);

  @override
  VitalLabelService get vitalLabel => LabelServiceMock(currentHostAddress);

  @override
  VitalPatientService get vitalPatient =>
      PatientServiceMock(currentHostAddress);

  @override
  VitalPatientExtensionService get vitalPatientExtension =>
      PatientExtensionServiceMock(currentHostAddress);

  @override
  VitalDiagnosisService get vitalDiagnosis =>
      DiagnosisServiceMock(currentHostAddress);

  @override
  VitalFollowUpService get vitalFollowUp =>
      FollowUpServiceMock(currentHostAddress);

  @override
  VitalExamService get vitalExam => ExamServiceMock(currentHostAddress);
}
