import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/components/appbar.dart';
import 'package:vitalapp/components/table/table.dart';
import 'package:vitalapp/pages/check/health_check_record/controller.dart';
import 'package:vitalapp/pages/medical_checkup_station/registration/state/list.dart';

class HealthCheckRecordPage extends GetView<HealthCheckRecordController> {
  const HealthCheckRecordPage({
    Key? key,
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return GetBuilder(
        init: HealthCheckRecordController(),
        id: "HealCheckRecord",
        builder: (_) {
          return Scaffold(
            backgroundColor: const Color.fromRGBO(238, 238, 238, 1),
            appBar: VAppBar(
              titleWidget: const Text('体检记录'),
            ),
            body: Stack(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    _buildListView(),
                  ],
                )
              ],
            ),
          );
        });
  }

  Widget _buildListView() {
    return Expanded(
      child: VitalTable<ResidentModel>(
        autoHeight: false,
        noDataHintText: "暂无数据",
        columns: controller.listController.buildTableColumns(),
        source: controller.residentList,
        loading: controller.tableLoading,
        onRowSelected: (value, index, idxs) {},
        onRowTap: (index) {
          controller.listController.currentResident =
              controller.residentList[index];
          controller.update(['registration_table_detail']);
        },
        onAllRowsSelected: (value, idxs) => {},
        headerTextStyle: const TextStyle(
          fontSize: 20,
        ),
      ),
    );
  }
}
