import 'package:flutter/material.dart';
import 'package:vitalapp/pages/check/models/form.dart';
import 'package:vitalapp/pages/check/widgets/exam_configurable/exam_card.dart';
import 'package:vitalapp/components/dialog_number.dart';

// ignore: must_be_immutable
class ExamBloodSugar extends StatefulWidget {
  ExamBloodSugar({
    super.key,
    required this.currentFormObject,
    required this.currentInputValue,
    this.bloodSugarInput,
  });
  FormObject currentFormObject;
  String currentInputValue;
  Function(String value)? bloodSugarInput;

  @override
  State<ExamBloodSugar> createState() => _ExamBloodSugarState();
}

class _ExamBloodSugarState extends State<ExamBloodSugar> {
  @override
  void initState() {
    super.initState();
  }

  /// 尝试重连
  Future<void> tryReconnect() async {}

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        _buildSugar(),
      ],
    );
  }

  Widget _buildSugar() {
    return ExamCard(
      title: widget.currentFormObject.label ?? '',
      clickCard: () {
        _inputSugar();
      },
      content: Container(
        alignment: Alignment.bottomRight,
        padding: const EdgeInsets.only(
          bottom: 20,
          right: 30,
          left: 40,
        ),
        constraints: const BoxConstraints(minHeight: 50),
        child: FittedBox(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.end,
            crossAxisAlignment: CrossAxisAlignment.end,
            children: [
              RichText(
                text: TextSpan(
                  text: widget.currentInputValue,
                  style: const TextStyle(
                    fontSize: 26,
                    color: Colors.black,
                  ),
                  children: [
                    TextSpan(
                      text: widget.currentFormObject.append ?? '',
                      style: const TextStyle(fontSize: 24),
                    )
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }

  Future<void> _inputSugar() async {
    String? result = await VDialogNumber(
      title: widget.currentFormObject.label,
      initialValue: widget.currentInputValue,
    ).show();
    if (result?.isNotEmpty ?? false) {
      widget.currentInputValue = result ?? '';
      widget.bloodSugarInput!.call(widget.currentInputValue);
    }
  }
}
