import 'package:flutter/material.dart';
import 'package:vitalapp/consts/styles.dart';

/// 检查小卡片
class ExamCard extends StatelessWidget {
  const ExamCard({
    super.key,
    this.title,
    required this.content,
    this.clickCard,
    this.titleText,
    this.topPadding = 20,
    this.isSelect = false,
  });
  final String? title;
  final Widget content;
  final Widget? titleText;
  final Function? clickCard;
  final double topPadding;
  final bool isSelect;
  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: 6,
      shape: RoundedRectangleBorder(
        borderRadius: GlobalStyles.borderRadius,
      ),
      child: Material(
        color: Colors.white,
        borderRadius: GlobalStyles.borderRadius,
        child: InkWell(
          borderRadius: GlobalStyles.borderRadius,
          onTap: clickCard != null ? () => clickCard!.call() : null,
          child: _buildTitle(),
        ),
      ),
    );
  }

  Widget _buildTitle() {
    Widget titleContent = const SizedBox();
    if (title?.isNotEmpty ?? false) {
      titleContent = Text(
        title!,
        style: const TextStyle(fontSize: 26),
      );
    }
    return titleText ??
        Container(
          padding: EdgeInsets.only(
            top: topPadding,
            left: 30,
            bottom: 15,
          ),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              titleContent,
              Expanded(child: content),
            ],
          ),
        );
  }
}
