import 'package:get/get.dart';
import 'package:vitalapp/architecture/defines.dart';
import 'package:vitalapp/database/entities/defines.dart';
import 'package:vitalapp/database/entities/patient.dart';
import 'package:vitalapp/pages/controllers/paged_state_mixin.dart';

class SyncCenterState with PagedStateMixin<SyncCenterDataModel> {
  final Rxn<OfflineDataSyncState> _syncState = Rxn(null);

  /// 状态筛选
  OfflineDataSyncState? get syncState => _syncState.value;
  set syncState(OfflineDataSyncState? val) => _syncState.updateValue(val);
}

class SyncCenterDataModel {
  SyncCenterDataModel(this.data);

  final _isChecked = false.obs;

  /// 数据
  final PatientEntity data;

  /// 是否选择【暂时不用】
  bool get isChecked => _isChecked.value;
  set isChecked(bool val) => _isChecked.value = val;

  /// 是否已同步
  bool get isSynchronized =>
      data.overallSyncState == OfflineDataSyncState.success;
}
