import 'package:fis_lib_business_components/index.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:fis_ui/base_define/page.dart';
import 'package:fis_ui/index.dart';
import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/report.dart';
import 'package:vitalapp/pages/image_report_inner_view/controller.dart';

import 'build_record_view.dart';

class FReportCardsView extends FStatefulWidget implements FPage {
  FReportCardsView();

  @override
  FState<FStatefulWidget> createState() {
    return FReportCardsViewState();
  }

  @override
  String get pageName => 'FReportCardsView';
}

class FReportCardsViewState extends FState<FReportCardsView> {
  final controller = Get.find<ImagereportinnerviewController>();

  final _reportManager = Get.find<IReportManager>();
  @override
  FWidget build(BuildContext context) {
    if (controller.reports.isNotEmpty) {
      return FListView(
        shrinkWrap: true,
        children: controller.reports
            .map(
              (e) => _buildReportCard(e),
            )
            .toList(),
      );
    }
    return _noDataWidget();
  }

  FWidget _noDataWidget() {
    return NoDataWidget();
  }

  FWidget _buildReportCard(ReportDTO report) {
    var patientName = report.patientName ?? '';
    if (patientName.isEmpty) {
      patientName = controller.recordInfo?.patientName ?? '';
    }
    return FMouseRegion(
      cursor: SystemMouseCursors.click,
      child: FGestureDetector(
        businessParent: widget,
        name: 'report preview',
        onDoubleTap: () {
          // FIXME 没用到
          // var reportUrls = report.reportPreviewList
          //     ?.where((element) => element.fileType == UploadFileTypeEnum.JPG)
          //     .map((e) => e.fileToken ?? '')
          //     .toList();
          _reportManager.openReportPreviewPage(
            controller.recordCode,
            controller.isReferral ? controller.recordCode : "",
            reportCode: report.reportCode ?? '',
          );
        },
        child: BuildReportRecord(
          currReport: report,
          patientName: patientName,
          canEditReport: report.canEditReport,
          onEditReport: () {
            _reportManager.openReportEdit(
              controller.patientCode,
              recordCode: controller.recordCode,
              reportCode: report.reportCode!,
              referralRecordCode:
                  controller.isReferral ? controller.recordCode : "",
            );
          },
          onEditReportTag: () {},
          isSmailCard: true,
        ),
      ),
    );
  }
}
