import 'package:fis_measure/process/workspace/measure_3d_view_controller.dart';
import 'package:fis_measure/process/workspace/measure_data_controller.dart';
import 'package:flutter/services.dart';
import 'package:get/get.dart';
import 'package:fis_measure/process/workspace/rpc_bridge.dart';
import 'package:fis_ui/index.dart';
import 'package:vitalapp/store/store.dart';
import 'helpers/state.dart';
import 'helpers/measureData_helper.dart';

///测量主界面控制器
class MeasureHomeController extends GetxController {
  MeasureHomeController();

  ///测量主界面状态
  final state = MeasurehomeState();

  /// 测量数据【测量项】【注释项】...
  final measureData = Get.put(
    MeasureDataController(
      MeasureDataHelper.saveImage,
    ),
  );

  /// Carotid :  在此注册 webview 控制器
  final measure3DViewController = Get.put(Measure3DViewController());

  /// 在 widget 内存中分配后立即调用。
  @override
  void onInit() {
    RPCBridge.ins.setToken(Store.user.token!);
    RPCBridge.ins.source = VidImageSource.RemoteUS;
    super.onInit();
  }

  /// 在 onInit() 之后调用 1 帧。这是进入的理想场所
  @override
  void onReady() {
    super.onReady();
  }

  /// 在 [onDelete] 方法之前调用。
  @override
  void onClose() {
    super.onClose();
  }

  /// dispose 释放内存
  @override
  void dispose() {
    super.dispose();
  }

  void setPreferredOrientations() {
    SystemChrome.setPreferredOrientations(
      [
        DeviceOrientation.landscapeLeft, // 横屏 Landscape 模式
        DeviceOrientation.landscapeRight,
      ],
    );
  }
}
