import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:fis_measure/process/workspace/measure_handler.dart';
import 'package:fis_measure/view/mobile_view/mobile_measure_view.dart';
import 'package:vitalapp/managers/interfaces/report.dart';
import 'package:vitalapp/store/store.dart';

import 'controller.dart';

class MeasureHomePage extends GetView<MeasureHomeController> {
  MeasureHomePage({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final args = Get.arguments;
    return _MobileLayout(
      args["patientCode"] ?? '',
      args["recordCode"] ?? '',
      args["remedicalCode"] ?? '',
      args["remedicalAISelectedInfoCode"] ?? '',
      isCanWriteReport: args["isCanWriteReport"] == true.toString(),
    );
  }
}

class _MobileLayout extends GetView<MeasureHomeController> {
  final measureHandler = Get.put<IMeasureHandler>(MeasureHandler());
  _MobileLayout(
    this.patientCode,
    this.recordCode,
    this.remedicalCode,
    this.remedicalAISelectedInfoCode, {
    this.isCanWriteReport = false,
    Key? key,
  }) : super(key: key);

  final String? patientCode;
  final String? remedicalCode;
  final String? recordCode;
  final bool isCanWriteReport;
  final String? remedicalAISelectedInfoCode;

  @override
  Widget build(BuildContext context) {
    Widget body = Dialog(
      insetPadding: EdgeInsets.zero,
      child: Column(
        children: [
          Expanded(
            child: MobileMeasureMainPage(
              Store.user.token ?? '',
              recordCode!,
              patientCode!,
              remedicalCode!,
              isCanWriteReport: isCanWriteReport,
              onEditReport: () {
                Get.find<IReportManager>().onEditReport.emit(this, recordCode!);
              },
              remedicalAISelectedInfoCode,
              supportsPortraitMode: false,
            ),
          ),
        ],
      ),
    );
    // return FRotatedBox(quarterTurns: 1, child: FScaffold(body: body));
    return Scaffold(body: body);
  }
}
