import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/medical/views/table_input_dialog/controller.dart';
import 'package:vitalapp/pages/medical/views/table_input_dialog/mock_data.dart';
import 'package:vitalapp/pages/medical/views/table_input_dialog/view.dart';
import 'package:vitalapp/pages/medical/widgets/health_check/view.dart';
import 'package:vitalapp/store/store.dart';

/// 生化
class BiochemistryCheck extends StatelessWidget {
  BiochemistryCheck({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      body: Container(
        height: double.maxFinite,
        color: Colors.white,
        child: HealthCheck(
          checkDialog: TableInputDialog(
            tableDataConfig: MockData.mockBiochemistryTestData,
            title: '检验科-生化数据',
            physicalExamNumber:
                Store.user.currentSelectRegisterPersonInfo?.physicalExamNumber,
            keyValue: "HEIBiochemical",
          ),
          isBiochemOrBlood: true,
          editBiochemOrBlood: (value) {
            List<TableElementConfig> tableDataConfig = [];
            MockData.mockBiochemistryTestData.forEach((element) {
              tableDataConfig.add(
                TableElementConfig(
                  id: element.id,
                  unit: element.unit,
                  name: element.name,
                  initValue: jsonDecode(value.examData)[element.id],
                ),
              );
            });
            Get.dialog(
              TableInputDialog(
                tableDataConfig: tableDataConfig,
                title: '检验科-生化数据',
                physicalExamNumber: Store
                    .user.currentSelectRegisterPersonInfo?.physicalExamNumber,
                keyValue: "HEIBiochemical",
              ),
            );
          },
          checkKey: "HEIBiochemical",
        ),
      ),
    );
  }
}
