import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/medical/controller.dart';
import 'package:vitalapp/pages/medical/views/table_input_dialog/controller.dart';
import 'package:vitalapp/pages/medical/views/table_input_dialog/view.dart';

import 'table_input_dialog/mock_data.dart';

class BloodTest extends GetView<MedicalController> {
  const BloodTest({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      body: Container(
        height: double.maxFinite,
        color: Colors.white,
        child: Center(
          // button open dialog
          child: ElevatedButton(
            onPressed: () async {
              TableInputResult? result = await Get.dialog<TableInputResult>(
                TableInputDialog(
                  // FIXME 示例代码
                  tableDataConfig: MockData.mockBloodRoutineTestData,
                  title: '检验科-血常规数据',
                ),
              );
              // 如果不为空，print出来
              if (result != null) {
                result.data.forEach((key, value) {
                  print('$key: $value');
                });
              } else {
                print('已取消，无返回值');
              }
            },
            child: const Text('填写血常规'),
          ),
        ),
      ),
    );
  }
}
