import 'package:vitalapp/pages/medical/views/table_input_dialog/index.dart';

class MockData {
  // 生化检查数据
  static List<TableElementConfig> mockBiochemistryTestData = [
    TableElementConfig(
      id: "Liver_Alt",
      name: "血清谷丙转氨酶",
      unit: "U/L",
    ),
    TableElementConfig(
      id: "Liver_Ast",
      name: "血清谷草转氨酶",
      unit: "U/L",
    ),
    TableElementConfig(
      id: "Liver_Tbil",
      name: "总胆红素",
      unit: "umol/L",
    ),
    TableElementConfig(
      id: "Liver_Alb",
      name: "白蛋白",
      unit: "g/L",
    ),
    TableElementConfig(
      id: "Liver_Dbil",
      name: "结合胆红素",
      unit: "umol/L",
    ),
    TableElementConfig(
      id: "Renal_Cr",
      name: "肌酐",
      unit: "umol/L",
    ),
    TableElementConfig(
      id: "Renal_Bun",
      name: "尿素氮",
      unit: "mmol/L",
    ),
    TableElementConfig(
      id: "Renal_Spc",
      name: "血钾浓度",
      unit: "mmol/L",
    ),
    TableElementConfig(
      id: "Renal_Ssc",
      name: "血钠浓度",
      unit: "mmol/L",
    ),
    TableElementConfig(
      id: "Lipid_Cho",
      name: "总胆固醇",
      unit: "umol/L",
    ),
    TableElementConfig(
      id: "Lipid_Tg",
      name: "甘油三酯",
      unit: "mmol/L",
    ),
    TableElementConfig(
      id: "Lipid_Ldl",
      name: "血清低密度脂蛋白胆固醇",
      unit: "mmol/L",
    ),
    TableElementConfig(
      id: "Lipid_Hdl",
      name: "血清高密度脂蛋白胆固醇",
      unit: "mmol/L",
    ),
    TableElementConfig(
      id: "BCH_Glu",
      name: "葡萄糖",
      unit: "mmol/L",
    ),
  ];

  // 血常规数据
  static List<TableElementConfig> mockBloodRoutineTestData = [
    TableElementConfig(
      id: "Blood_Hgb",
      name: "血红蛋白",
      unit: "g/L",
    ),
    TableElementConfig(
      id: "Blood_Wbc",
      name: "白细胞",
      unit: "10^9/L",
    ),
    TableElementConfig(
      id: "Blood_Rlt",
      name: "血小板",
      unit: "10^9/L",
    ),
    TableElementConfig(
      id: "Blood_Lymphocyte",
      name: "淋巴细胞",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_Neutrophils",
      name: "中性粒细胞",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_Monocyte",
      name: "单核细胞",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_LymphocyteRatio",
      name: "淋巴细胞比率",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_NeutrophilRatio",
      name: "中性粒细胞比率",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_MonocyteRatio",
      name: "单核细胞比率",
      unit: "%",
    ),
    TableElementConfig(
      id: "RBC",
      name: "红细胞",
      unit: "10^12/L",
    ),
    TableElementConfig(
      id: "Blood_Mch",
      name: "平均血红蛋白量",
      unit: "pg",
    ),
    TableElementConfig(
      id: "Blood_McV",
      name: "红细胞平均体积",
      unit: "fL",
    ),
    TableElementConfig(
      id: "Blood_Mchc",
      name: "平均血红蛋白浓度",
      unit: "g/L",
    ),
    TableElementConfig(
      id: "Blood_ErythrocyteDW",
      name: "红细胞分布宽度",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_Hematocrit",
      name: "红细胞压积",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_MeanPlateletVolume",
      name: "平均血小板体积",
      unit: "fL",
    ),
    TableElementConfig(
      id: "Blood_PlateletDW",
      name: "血小板分布宽度",
      unit: "%",
    ),
    TableElementConfig(
      id: "Blood_PlateletPct",
      name: "血小板比积",
      unit: "%",
    ),
  ];
}
