import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/medical/views/table_input_dialog/controller.dart';

class TableElementRow extends GetView<TableInputDialogController> {
  final String elementName;
  final String unit;
  final TextEditingController? textController;
  final FocusNode? focusNode;

  TableElementRow({
    required this.elementName,
    required this.unit,
    required this.textController,
    required this.focusNode,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 40,
      padding: EdgeInsets.symmetric(horizontal: 10, vertical: 5),
      decoration: BoxDecoration(
        border: Border(
          bottom: BorderSide(
            color: Colors.grey[300]!,
            width: 1,
          ),
        ),
      ),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Expanded(
            child: Container(
              child: Text(
                elementName,
                style: TextStyle(
                  fontSize: 14,
                  color: Colors.grey[600],
                ),
              ),
            ),
          ),
          Expanded(
            child: Container(
              child: TextField(
                controller: textController,
                focusNode: focusNode,
                textInputAction: TextInputAction.none,
                decoration: InputDecoration(
                  border: InputBorder.none,
                  hintText: '请输入检查结果',
                  hintStyle: TextStyle(
                    fontSize: 14,
                    color: Colors.grey[400],
                  ),
                ),
              ),
            ),
          ),
          Expanded(
            child: Container(
              child: Text(
                unit,
                style: TextStyle(
                  fontSize: 14,
                  color: Colors.grey[600],
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
