// ignore_for_file: must_be_immutable

import 'package:fis_ui/types/widget_builders.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/components/search_input.dart';
import 'package:vitalapp/pages/medical/widgets/health_heart_check/health_check_list/controller.dart';
import 'package:vitalapp/pages/medical/widgets/health_heart_check/health_check_list/view.dart';
import 'package:vitalapp/pages/medical_checkup_station/registration/state/list.dart';
import 'package:vitalapp/pages/medical_checkup_station/registration/widgets/filter/filter_time.dart';

class HeartCheckLeft extends GetView<HeartCheckListController> {
  HeartCheckLeft({
    super.key,
    required this.onRowTap,
    required this.onCheckTap,
  });
  ValueCallback<ResidentModel> onRowTap;
  ValueCallback<ResidentModel> onCheckTap;
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          _buildHeartCheckFilter(),
          Expanded(
            child: HeartCheckTable(
              onRowTap: (value) {
                onRowTap.call(value);
              },
              onCheckTap: onCheckTap,
            ),
          ),
        ],
      ),
    );
  }

  Widget _buildHeartCheckFilter() {
    return Row(
      children: [
        Container(
          alignment: Alignment.centerLeft,
          margin: const EdgeInsets.all(10.0), // 设置外边距
          padding: const EdgeInsets.all(5.0), // 设置内边距
          decoration: BoxDecoration(
            color: Colors.grey[200], // 设置背景颜色
            borderRadius: BorderRadius.circular(16.0), // 设置圆角边框
          ),
          height: 60,
          width: 520,
          child: VSearchInput(
            textEditingController: TextEditingController(text: ""),
            placeholder: "请输入身份证号码",
            clearable: true,
            onClear: () {},
            onSearch: (value) {
              controller.getRegisterInfoPage(
                keyword: value,
              );
            },
          ),
        ),
        IconButton(
          onPressed: () {
            Get.dialog(
              FilterTime(
                onConfirm: (start, end) {
                  controller.getRegisterInfoPage(
                    startTime: start,
                    endTime: end,
                  );
                },
              ),
            );
          },
          icon: Icon(
            Icons.filter_alt,
            size: 24,
          ),
        ),
        Expanded(child: SizedBox()),
      ],
    );
  }
}
