import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/medical/widgets/twelve_ecg_view/widgets/ecg_painter_for_current.dart';
import 'package:vitalapp/pages/medical/widgets/twelve_ecg_view/widgets/grid_background_printer_for_current.dart';

import '../index.dart';

class CurrentScreenEcgDataDialog extends GetView<TwelveEcgViewController> {
  CurrentScreenEcgDataDialog({
    Key? key,
    this.currentIndex = 0,
  }) : super(key: key);
  int? currentIndex;

  // 主视图
  Widget _buildView(BuildContext context) {
    const designWidth = 1280.0; // 设计尺寸宽度：1280
    final width = Get.width;
    final scale = width / designWidth; // 计算缩放比例
    final ScrollController scrollController = ScrollController();
    return Container(
      width: Get.width * 0.9 / scale,
      height: 240 * 3,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(10),
      ),
      clipBehavior: Clip.antiAlias,
      child: Column(
        children: [
          _buildHead(),
          Expanded(
            child: Scrollbar(
              thumbVisibility: true,
              thickness: 10,
              radius: const Radius.circular(10),
              controller: scrollController,
              child: SingleChildScrollView(
                controller: scrollController,
                padding: const EdgeInsets.only(left: 10, right: 10, bottom: 20),
                physics: const BouncingScrollPhysics(),
                scrollDirection: Axis.horizontal,
                child: Container(
                  decoration: BoxDecoration(
                    border: Border.all(
                      color: Colors.grey.withOpacity(0.5),
                      width: 1,
                    ),
                  ),
                  clipBehavior: Clip.hardEdge,
                  child: CustomPaint(
                    foregroundPainter: EcgPainterForCurrent(
                      allPoints: controller.allPoints,
                      yMaxList: controller.yMaxList,
                      currentIndex: currentIndex,
                    ),
                    painter: GridBackgroundPainterForCurrent(
                      currentIndex: currentIndex!,
                    ),
                    size: const Size(6000, 200),
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Dialog(
      child: _buildView(context),
    );
  }

  /// 构建弹窗顶部，右侧显示关闭按钮
  Widget _buildHead() {
    return SizedBox(
      height: 50,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.end,
        children: [
          IconButton(
            onPressed: () => Get.back(),
            icon: const Icon(
              Icons.close,
              size: 30,
            ),
          ),
        ],
      ),
    );
  }
}
