import 'package:get/get.dart';
import 'package:vitalapp/managers/interfaces/appointment.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/controller/detail.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/controller/form.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/controller/list.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/state/list.dart';

class AppointmentController extends GetxController {
  late final AppointmentListController listController;
  late final AppointmentFormController formController;
  late final AppointmentDetailController detailController;
  final appointmentManager = Get.find<IAppointmentManager>();
  final state = ListState();

  AppointmentController() {
    listController = AppointmentListController(this);
    formController = AppointmentFormController(this);
    detailController = AppointmentDetailController(this);
  }

  /// 预约
  AppointmentModel appointment = AppointmentModel(
    appointmentName: '',
    appointmentAddress: '',
  );

  /// 预约列表
  List<AppointmentModel> appointmentModelList = [];

  /// 预约列表的总数
  int appointmentModelListLength = 0;

  /// 表格loading
  bool tableLoading = true;

  /// 当前表格页数
  int currPageIndex = 1;

  _initData() async {
    await listController.getHealthExamBookingPageAsync();
  }

  void onTap() {}

  // @override
  // void onInit() {
  //   super.onInit();
  // }

  @override
  void onReady() {
    super.onReady();
    _initData();
  }

  // @override
  // void onClose() {
  //   super.onClose();
  // }
}
