import 'package:vitalapp/pages/medical_checkup_station/appointment/controller.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/state/list.dart';

class AppointmentDetailController {
  final state = ListState();
  late final AppointmentController appointmentController;

  AppointmentDetailController(AppointmentController controller) {
    appointmentController = controller;
  }

  Future<AppointmentModel> getHealthExamBookingAsync(String code) async {
    var result = await appointmentController.appointmentManager
        .getHealthExamBookingAsync(
      code: code,
    );
    AppointmentModel appointment = AppointmentModel(
      appointmentAddress: result?.location ?? '',
      appointmentObject: result?.subject,
      appointmentDescription: result?.description,
      appointmentName: result?.name ?? '',
      appointmentStartTime: result?.startDate?.toLocal(),
      appointmentEndTime: result?.endDate?.toLocal(),
      appointmentCode: result?.code,
      appointmentExamItems: result?.examItems,
      appointmentUrl: result?.shareUrl,
      appointPersons: result?.persons,
    );

    return appointment;
  }
}
