import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/controller.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/state/list.dart';

class AppointmentFormController {
  late final AppointmentController appointmentController;
  AppointmentFormController(AppointmentController controller) {
    appointmentController = controller;
  }

  Future<void> saveHealthExamBooking(
    AppointmentModel appointment, {
    bool? isEdit = false,
  }) async {
    SaveHealthExamBookingRequest saveHealthExamBookingRequest =
        SaveHealthExamBookingRequest(
      bookingType: BookingTypeEnum.Group,
      status: BookingStatusEnum.Booked,
      name: appointment.appointmentName,
      location: appointment.appointmentAddress,
      startDate: appointment.appointmentStartTime,
      endDate: appointment.appointmentEndTime,
      description: appointment.appointmentDescription,
      subject: appointment.appointmentObject,
      persons: null,
      examItems: null,
    );
    if (isEdit!) {
      saveHealthExamBookingRequest.code = appointment.appointmentCode;
    }
    await appointmentController.appointmentManager.saveHealthExamBookingAsync(
      saveHealthExamBookingRequest,
    );
    Get.back();
    await appointmentController.listController.getHealthExamBookingPageAsync();

    appointmentController.update(["appointment_table"]);
  }

  // final state = ListState();
}
