// ignore_for_file: camel_case_types

import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get.dart';

class ListState {
  /// 登记列表
  final RxList<AppointmentModel> _appointmentList =
      RxList<AppointmentModel>([]);

  set appointmentList(List<AppointmentModel> value) =>
      _appointmentList.value = value;
  List<AppointmentModel> get appointmentList => _appointmentList.value;
}

class AppointmentModel {
  /// 预约体检名称
  String appointmentName;

  /// 预约体检地点
  String appointmentAddress;

  /// 预约体检开始时间
  DateTime? appointmentStartTime;

  /// 预约体检结束时间
  DateTime? appointmentEndTime;

  /// 预约体检说明
  String? appointmentDescription;

  /// 体检对象
  String? appointmentObject;

  /// 预约code
  String? appointmentCode;

  /// 预约url
  String? appointmentUrl;

  List<HealthExamItemDTO>? appointmentExamItems = [];
  List<HealthExamPersonDTO>? appointPersons = [];

  AppointmentModel({
    required this.appointmentName,
    required this.appointmentAddress,
    this.appointmentStartTime,
    this.appointmentEndTime,
    this.appointmentDescription,
    this.appointmentObject,
    this.appointmentCode,
    this.appointmentExamItems,
    this.appointmentUrl,
    this.appointPersons,
  });
}
