import 'package:flutter/material.dart';
import 'package:get/get_state_manager/src/simple/get_view.dart';
import 'package:vitalapp/components/search_input.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/controller.dart';

class AppointmentFilter extends GetView<AppointmentController> {
  const AppointmentFilter({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.centerLeft,
      margin: const EdgeInsets.all(10.0), // 设置外边距
      padding: const EdgeInsets.all(5.0), // 设置内边距
      decoration: BoxDecoration(
        color: Colors.grey[200], // 设置背景颜色
        borderRadius: BorderRadius.circular(16.0), // 设置圆角边框
      ),
      height: 60,
      width: 520,
      child: VSearchInput(
        textEditingController: TextEditingController(text: ""),
        placeholder: "请输入关键字",
        clearable: true,
        onClear: () {},
        onSearch: (value) {
          controller.listController.getHealthExamBookingPageAsync(
            keyword: value,
          );
        },
      ),
    );
  }
}
