// ignore_for_file: must_be_immutable

import 'package:flutter/material.dart';
import 'package:flutter_staggered_grid_view/flutter_staggered_grid_view.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/state/list.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/widgets/examiner_card.dart';

class MedicalExaminer extends StatelessWidget {
  MedicalExaminer({
    super.key,
    this.examiner,
  });
  AppointmentModel? examiner;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        width: 660,
        height: 600,
        decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.all(
            Radius.circular(8),
          ),
        ),
        padding: EdgeInsets.all(16),
        child: SingleChildScrollView(
          child: StaggeredGrid.count(
            axisDirection: AxisDirection.down,
            crossAxisCount: 2,
            mainAxisSpacing: 16,
            crossAxisSpacing: 16,
            children: examiner?.appointPersons
                    ?.map((e) => ExaminerCard(
                          name: e.name ?? '',
                        ))
                    .toList() ??
                [],
          ),
        ),
      ),
    );
  }

  // Widget _build
}
