import 'package:fis_i18n/i18n.dart';
import 'package:flutter/material.dart';
import 'package:fis_lib_qrcode/qr_flutter.dart';
import 'package:get/get.dart';
import 'package:vitalapp/architecture/utils/prompt_box.dart';

class ShareQrCode extends StatelessWidget {
  const ShareQrCode({
    super.key,
    required this.shareUrl,
  });
  final String shareUrl;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Stack(
        children: [
          _buildQrcode(),
          Positioned(
            right: 0,
            top: 20,
            child: IconButton(
              icon: Icon(
                Icons.close,
              ),
              iconSize: 30,
              onPressed: () {
                Get.back();
              },
            ),
          )
        ],
      ),
    );
  }

  ///二维码
  Widget _buildQrcode() {
    return Container(
      width: 660,
      height: 600,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.all(
          Radius.circular(8),
        ),
      ),
      padding: EdgeInsets.all(16),
      child: Container(
        padding: const EdgeInsets.only(top: 20, bottom: 20),
        child: QRCodeWithLogo(
          shareUrl,
          codeStatement: i18nBook.remedical.scanQrCodeToShare.t,
          operationStatement: i18nBook.remedical.copyLink.t,
          operationSuccessCallback: () {
            PromptBox.toast(i18nBook.remedical.copySuccess.t);
          },
        ),
      ),
    );
  }
}
