import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/components/table/table.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/controller.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/state/list.dart';
import 'package:vitalapp/pages/medical_checkup_station/appointment/widgets/medical_examiner.dart';

class AppointmentTable extends GetView<AppointmentController> {
  const AppointmentTable({
    super.key,
    required this.appointmentList,
  });
  final List<AppointmentModel> appointmentList;
  @override
  Widget build(BuildContext context) {
    return Center(
      child: VitalTable<AppointmentModel>(
        autoHeight: false,
        noDataHintText: "暂无数据",
        columns: controller.listController.buildTableColumns(),
        source: appointmentList,
        loading: controller.tableLoading,
        onRowSelected: (value, index, idxs) {},
        onRowTap: (index) async {
          // AppointmentModel appointment =
          //     await controller.detailController.getHealthExamBookingAsync(
          //   controller.appointmentModelList[index].appointmentCode!,
          // );
          // Get.dialog(MedicalExaminer(
          //   examiner: appointment,
          // ));
          //print(appointment);
        },
        onAllRowsSelected: (value, idxs) => {},
        headerTextStyle: const TextStyle(
          fontSize: 20,
        ),
      ),
    );
  }
}
