// ignore_for_file: camel_case_types

import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get.dart';

class ListState {
  /// 登记列表
  final RxList<ResidentModel> _residentList = RxList<ResidentModel>([]);

  set residentList(List<ResidentModel> value) => _residentList.value = value;
  List<ResidentModel> get residentList => _residentList.value;

  final RxnString _resultsAndSuggestions = RxnString();

  set resultsAndSuggestions(String? value) =>
      _resultsAndSuggestions.value = value;
  String? get resultsAndSuggestions => _resultsAndSuggestions.value;
}

class ResidentModel {
  /// 居民姓名
  final String? name;

  /// 居民身份证
  final String idNumber;

  ///唯一编号
  final String? code;

  /// 体检号
  final String? physicalExamNumber;

  /// 居民年龄
  final String? age;

  /// 居民地址
  final String? homeAddress;

  /// 登记状态
  final String? physicalExamStatus;

  /// 未做体检项目（可去）
  final List<String>? unexaminedItems;

  /// 手机号
  final String? phone;

  /// 当前已完成的体检项目
  final List<String>? finishedExamKeys;
  final DateTime? birthDay;
  final String? sex;

  /// 体检批次号
  final String? batchNumber;

  ResidentModel({
    this.name,
    required this.idNumber,
    this.code,
    this.physicalExamNumber,
    this.age,
    this.homeAddress,
    this.unexaminedItems,
    this.physicalExamStatus,
    this.phone,
    this.finishedExamKeys,
    this.birthDay,
    this.sex,
    this.batchNumber,
  });
}

class VSelectGenderEnumModel {
  VSelectGenderEnumModel({
    required this.code,
    required this.name,
  });
  GenderEnum code;
  String name;
}
