import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/architecture/storage/file_storage.dart';
import 'package:fis_lib_pdf/pdf_render_container.dart';
import 'package:fis_lib_pdf/ultils/pdf_access_type.dart';
import 'package:fis_lib_pdf/ultils/pdf_type_enum.dart';

class ReportPreview extends StatelessWidget {
  const ReportPreview({
    super.key,
    required this.pdfUrl,
  });
  final String pdfUrl;

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.all(16),
      width: double.infinity,
      height: double.infinity,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(16),
      ),
      child: Stack(
        children: [
          Positioned(
            right: 16,
            top: 16,
            child: IconButton(
              onPressed: () {
                Get.back();
              },
              icon: Icon(
                Icons.close,
                size: 30,
              ),
            ),
          ),
          Container(
            margin: EdgeInsets.all(50),
            width: double.infinity,
            height: double.infinity,
            child: FPDFRenderContainer(
              pdfTypeEnum: PDFTypeEnum.pdfBytes,
              demoMode: false,
              pdfAccessTypeEnum: PDFAccessTypeEnum.preview,
              fileName: "pdfUrl",
              pdfExporter: TextMediaFileExporterForShell.exportFile,
              cacheGet: (a) async {
                return null;
              },
              cacheSave: (a, b) async {
                return false;
              },
              fromEditor: false,
              // webSideShare: controller.shareReport,
              imageOrFileUrls: [pdfUrl],
              onClose: () {
                Get.back();
              },
              customAction: [],
            ),
          ),
        ],
      ),
    );
  }
}
