import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/components/table/table.dart';
import 'package:vitalapp/pages/medical_checkup_station/registration/controller.dart';
import 'package:vitalapp/pages/medical_checkup_station/registration/state/list.dart';

class RegistrationTable extends GetView<RegistrationController> {
  const RegistrationTable({
    super.key,
    required this.residentList,
  });
  final List<ResidentModel> residentList;
  @override
  Widget build(BuildContext context) {
    return Center(
      child: VitalTable<ResidentModel>(
        autoHeight: false,
        noDataHintText: "暂无数据",
        columns: controller.listController.buildTableColumns(context),
        source: residentList,
        loading: controller.tableLoading,
        onRowSelected: (value, index, idxs) {},
        onRowTap: (index) {
          controller.listController.currentResident = residentList[index];
          controller.update(['registration_table_detail']);
        },
        onAllRowsSelected: (value, idxs) => {},
        headerTextStyle: const TextStyle(
          fontSize: 20,
        ),
      ),
    );
  }
}
