import 'package:barcode_widget/barcode_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:vitalapp/pages/medical_checkup_station/registration/state/list.dart';

// 标签样式 demo， （用于生成图片 - 打印）
class LabelStyleWidget extends StatelessWidget {
  const LabelStyleWidget({
    Key? key,
    this.residentModel,
  }) : super(key: key);
  final ResidentModel? residentModel;

  Widget _title() {
    return Text(
      residentModel?.name ?? '',
      style: TextStyle(fontSize: 30.w, height: 1),
    );
  }

  Widget _subTitle() {
    return Row(
      verticalDirection: VerticalDirection.up,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          '[体检]',
          style: TextStyle(fontSize: 30.w, height: 1),
        ),
        const Spacer(),
        Text(
          '请根据顺序进行体检',
          style: TextStyle(fontSize: 14.w, height: 1),
        ),
      ],
    );
  }

  Widget _productName() {
    return BarcodeWidget(
      barcode: Barcode.code128(),
      data: residentModel?.idNumber ?? '',
      drawText: false,
    );
  }

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Padding(
        padding: const EdgeInsets.only(
          left: 28,
          top: 35,
          right: 75,
          bottom: 80,
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            _title(),
            _subTitle(),
            const SizedBox(height: 16),
            Divider(
              color: const Color(0xff242524),
              height: 10.w,
              thickness: 3.w,
            ),
            const SizedBox(height: 8),
            Expanded(
              child: _productName(),
            ),
          ],
        ),
      ),
    );
  }
}
