import 'dart:convert';

import 'package:fis_jsonrpc/services/vitalExam.m.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:uuid/uuid.dart';
import 'package:vitalapp/architecture/utils/prompt_box.dart';
import 'package:vitalapp/global.dart';
import 'package:vitalapp/managers/interfaces/exam.dart';
import 'package:vitalapp/pages/traditional_chinese_medicine_constitution/widget/ConfigurableCard.dart';
import 'package:vitalapp/store/store.dart';

import 'controller.dart';

class TraditionalChineseMedicineConstitutionView
    extends GetView<TraditionalChineseMedicineConstitutionController> {
  const TraditionalChineseMedicineConstitutionView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: buildContent("LNRZYYJKGLFWJL"),
    );
  }

  Widget buildContent(String key) {
    return ConfigurableCard(
      cardKey: key,
      callBack: (key, templateCode, data) async {
        // final result = await controller.createFollowUp(key, templateCode, data);
        await createBasicCheckup(
            Store.user.currentSelectPatientInfo?.code ?? '',
            Store.user.currentSelectRegisterPersonInfo?.physicalExamNumber ??
                '',
            "HEITCMC",
            data);

        return true;
      },
      patientCode: Store.user.currentSelectPatientInfo?.code ?? '',
    );
  }

  ///  体检  检查提交
  Future<void> createBasicCheckup(String patientCode,
      String? physicalExamNumber, String? keyValue, String data) async {
    final _examManager = Get.find<IExamManager>();
    var uuid = Uuid().v4().toString();
    var request = CreateExamRequest(
      key: keyValue ?? "HEITCMC",
      examData: data,
      batchNumber: uuid,
      patientCode: patientCode,
      physicalExamNumber: physicalExamNumber,
    );
    print(jsonEncode(request.toJson()));
    var result = await _examManager.createExam(request);
    print(result);
  }
}
