import 'package:flutter/material.dart';

class VIconButton extends StatelessWidget {
  final IconData iconData;
  final String textString;
  final VoidCallback voidCallback;

  VIconButton({
    required this.iconData,
    required this.textString,
    required this.voidCallback,
  });

  @override
  Widget build(BuildContext context) {
    return Material(
      child: InkWell(
        onTap: () => voidCallback.call(),
        child: Container(
          margin: const EdgeInsets.symmetric(vertical: 8, horizontal: 20),
          child: Column(
            children: [
              Icon(
                iconData,
                size: 38,
              ),
              Text(textString),
            ],
          ),
        ),
      ),
    );
  }
}
